khtml::KHTMLParser class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# khtml::KHTMLParser Class Reference

The parser for html. More...

`#include <htmlparser.h>`

Collaboration diagram for khtml::KHTMLParser:

[legend]
List of all members.

## Public Member Functions
| KHTMLParser (KHTMLView *w, DOM::DocumentPtr *i)
| KHTMLParser (DOM::DocumentFragmentImpl *frag, DOM::DocumentPtr *doc)
void | parseToken (Token *_t)
| parses one token delivered by the tokenizer
void | reset ()
| resets the parser
bool | skipMode () const
bool | noSpaces () const
bool | preMode () const
bool | selectMode () const
DOM::HTMLDocumentImpl * | doc () const
DOM::DocumentPtr * | docPtr () const
## Protected Member Functions
DOM::NodeImpl * | getElement (Token *)
void | processCloseTag (Token *)
bool | insertNode (DOM::NodeImpl *n, bool flat=false)
void | pushBlock (int _id, int _level)
void | popBlock (int _id)
void | popOneBlock ()
void | popInlineBlocks ()
void | freeBlock (void)
void | createHead ()
DOM::NodeImpl * | handleIsindex (Token *t)
void | startBody ()
## Protected Attributes
KHTMLView * | HTMLWidget
DOM::DocumentPtr * | document
DOM::NodeImpl * | current
HTMLStackElem * | blockStack
ushort * | forbiddenTag
DOM::HTMLFormElementImpl * | form
DOM::HTMLMapElementImpl * | map
DOM::HTMLHeadElementImpl * | head
DOM::NodeImpl * | isindex
bool | inBody
bool | haveContent
bool | haveBody
bool | haveFrameSet
bool | m_inline
bool | end
bool | haveKonqBlock
bool | inSelect
int | inPre
int | discard_until
bool | headLoaded

## Detailed Description

The parser for html.

It receives a stream of tokens from the HTMLTokenizer, and builds up the Document structure form it.

Definition at line 68 of file htmlparser.h.

## Member Function Documentation

void KHTMLParser::parseToken | ( | Token * | _t | ) |

| parses one token delivered by the tokenizer Definition at line 189 of file htmlparser.cpp. References DOM::DOMString::string().

void KHTMLParser::reset | ( |  | ) |

| resets the parser Definition at line 162 of file htmlparser.cpp.

The documentation for this class was generated from the following files:

- htmlparser.h
- htmlparser.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:40:07 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001